# KDE kasutaja käsiraamat

&Lauri.Watts; &Lauri.Watts.mail;
2004-02-02
K Desktop Environment
qtoptions
7

# Qt võtmed

Üldised käsureavõtmed kõigile rakendustele, mis tuginevad Qt tööriistakomplektile.

    Qt rakendus Qt üldised võtmed

## Võtmed

Järgnevad võtmed kehtivad kõigis &Qt; rakendustes:

`--display` `kuvanimi`

  Kasutab X-serveri kuva `kuvanimi`.

`--session` `seansiID`

  Taastab rakenduse, millel on määratud `seansiID`.

`--cmap`

  Sunnib rakenduse paigaldama privaatvärvikaardi 8-bitisel kuval.

`--ncols` `arv`

  Piirab värvide arvu, mida eraldatakse värvikuubikus 8-bitisel kuval, kui rakendus kasutab `QApplication::ManyColor` värvispetsifikatsiooni.

`--nograb`

  Annab &Qt;-le korralduse mitte kunagi hõivata hiirt või klaviatuuri.

`--dograb`

  Siluri töö võib põhjustada otsese `--nograb`, kasuta selle tühistamiseks `--dograb`.

`--sync`

  Lülitub sünkroonsele silumisele.

`--fn`,`--font` `fondinimi`

  Määrab rakenduse fondi.

`--bg`,`--background` `värv`

  Määrab vaikimisi taustavärvi ja rakenduse paleti (arvutatakse heledad ja tumedad varjud).

`--fg`,`--foreground` `värv`

  Määrab esiplaani vaikevärvi.

`--btn`,`--button` `värv`

  Määrab nupu vaikevärvi.

`--name` `nimi`

  Määrab rakenduse nime.

`--title` `tiitel`

  Määrab rakenduse tiitli.

`--visual` `TrueColor`

  Sunnib rakenduse kasutama 8-bitisel kuval `TrueColor`'it.

`--inputstyle` `sisestusstiil`

  Määrab XIM-i (X'i sisestusmeetod) sisestusstiili. Kasutada saab järgmisi väärtusi: `onthespot`, `overthespot`, `offthespot` ja `root`.

`--im` `XIM-server`

  Määrab XIM-serveri.

`--noxim`

  Keelab XIM-i.

## Vaata ka

kde-options.7

## Autorid

Käesoleva manuaalilehekülje kirjutas &Lauri.Watts;&Lauri.Watts.mail;